summaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2014-04-15 12:13:52 -0700
committerRuss Cox <rsc@golang.org>2014-04-15 12:13:52 -0700
commit8f493cf018461439b8ce608dfdd902adc33a32b8 (patch)
tree0501c7e954d391077067255486b48400b9f1e7bc /src/run.bash
parent68ae8a20c01f21456b99dca0ad960db740a4153c (diff)
downloadgo-8f493cf018461439b8ce608dfdd902adc33a32b8.tar.gz
cmd/ld: use TLS relocations on ELF systems in external linking mode
Fixes issue 7719. LGTM=iant R=iant CC=golang-codereviews https://codereview.appspot.com/87760050
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash1
1 files changed, 1 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index dee30183f..3c0abd97b 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -131,6 +131,7 @@ dragonfly-386 | dragonfly-amd64 | freebsd-386 | freebsd-amd64 | linux-386 | linu
go test -ldflags '-linkmode=external' || exit 1
go test -ldflags '-linkmode=auto' ../testtls || exit 1
go test -ldflags '-linkmode=external' ../testtls || exit 1
+ go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../testtls || exit 1
esac
) || exit $?